Limited Support for WoltLab Suite 3.1 and WoltLab Suite 5.2

    • Official Post

    WoltLab Suite 3.1 was released on February 10, 2018 and its guaranteed support period ends on December 29, 2021, two years after the final release of its successor WoltLab Suite 5.2. We'll continue to provide security updates for the WoltLab Suite 3.1 series for a limited time, before dropping the support entirely.


    Discontinuance of WoltLab Suite 5.2

    All licenses valid for WoltLab Suite 5.2 have access to its successor the WoltLab Suite 5.3 without exceptions. By asking all users of the WoltLab Suite 5.2 to upgrade to the version 5.3, we can focus on providing the best possible support for this version instead of splitting our attention. At the same time customers are able to make use of the new and improved features in this version.


    WoltLab Suite 5.3 is a free upgrade for all licensees that have access to WoltLab Suite 5.2.

    Affected Products

    • WoltLab Suite Forum 5.1 / 5.2
    • WoltLab Suite Core 3.1 / 5.2
    • WoltLab Suite Blog 3.1 / 5.2
    • WoltLab Suite Calendar 3.1 / 5.2
    • WoltLab Suite Filebase 3.1 / 5.2
    • WoltLab Suite Gallery 3.1 / 5.2

    January 1, 2022 - Stage 1

    • End of the regular support period.
    • Updates will be released for security issues only.
    • PHP 7.4 is the last supported PHP version.

    July 1, 2022 - Stage 2

    • End of the extended support period, there will be no more updates being released.
    • The ticket support will be limited to the WoltLab Suite 5.3 and newer products only.

    January 1, 2023 - Stage 3

    • The downloads in the customer area will be removed.
    • The package update servers for the affected products will be shut down.
    • Any files in the Plugin-Store for these versions will be removed.

    Alexander Ebert
    Senior Developer WoltLab® GmbH